Package utilities.util

# Enum Class AnnotationUtilities

java.lang.Object
java.lang.Enum<AnnotationUtilities>
utilities.util.AnnotationUtilities

All Implemented Interfaces:
  `Serializable`, `Comparable<AnnotationUtilities>`, `Constable`

public enum AnnotationUtilities extends Enum<AnnotationUtilities>
Some utilities for reflection using annotations

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Set<Method>`
  `collectAnnotatedMethods(Class<? extends Annotation> annotCls, Class<?> cls)`
  Collect from among the given class, its superclasses, and its interfaces all methods annotated with the given annotation type.
  `static AnnotationUtilities`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AnnotationUtilities[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### values

    public static AnnotationUtilities[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AnnotationUtilities valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### collectAnnotatedMethods

    public static Set<Method> collectAnnotatedMethods(Class<? extends Annotation> annotCls, Class<?> cls)
    Collect from among the given class, its superclasses, and its interfaces all methods annotated with the given annotation type.
    Parameters:
      `annotCls` - the annotation type
      `cls` - the class whose methods to examine
    Returns:
      the set of all methods having the given annotation type